Subject: bug#40904: listing multiple subdirectories places filenames in different columns between each subdirectory

From: Bob Proulx <[email-masked]>
Date: Wed, 29 Apr 2020 23:04:36 -0600

tag 40904 + notabug
close 40904
thanks

Jim Clark wrote:
> When I list a hard drive "ls -AR > list.txt" and import it into Libreoffice
> Calc, then break the lines using "text-to-columns", I am not able to
> perform a fixed format break so that the filenames are placed in their own
> column.
> 
> It seems like, when listing all subdirectories the largest file size within
> the subdirectory places the filename at a column and all the other names in
> that subdirectory are at the same column, but other subdirectories will
> have their filenames at different columns depending on file size within
> that subdirectory.

File size?  Your example used "ls -AR" which does not include the file
size.  Therefore I am going to close the ticket for the purpose of
accounting.  Since there is no bug here.

But please let further discussion follow.  The ticket can be reopened
or reassigned easily if that is determined.

> It would be nice if all the filenames were at the same column in the
> directory and all subdirectories.

If you are trying to use "ls -lAR" then each directory is listed
individually and what you are saying is true.  However that is the way
the GNU ls program is designed to work.  Each directory is listed
individually with column spacing applied to that directory.

As Paul recommended, it is likely better for you to use find instead.
Since you apparently want the long listing format then perhaps:

    find . -ls

That will produce a full recursive long listing all of the way down.
It will use a wide fixed spacing which is apparently what you want.

I am curious.  I can't imagine any reason to import a recursive file
listing into a spreadsheet...  What is the task goal you are trying to
do there?

Bob